---
title: Create MCP Server
description: Creates a new MCP server configuration. Limited to 10 servers per user.
product: Platform API
type: reference
prerequisites:
  - /docs/api/platform/quickstart
---

# Create MCP Server



<EndpointDisplay method="post" path="/mcp-servers" versionPrefix="/v2" />

## Usage [#usage]

<CustomCodeBlock languages="['TypeScript', 'cURL']" defaultLanguage="TypeScript">
  <CodeVariant
    language="TypeScript"
    title="TypeScript Example"
    code="`import { v0 } from 'v0-sdk'

const result = await v0.mcpServers.create({
  name: 'My Project',
  url: 'https://example.com',
  enabled: true,
  auth: 'none',
  scope: 'user',
})

console.log(result)`"
  />

  <CodeVariant
    language="cURL"
    title="cURL Example"
    code="`curl -X POST &#x22;https://api.v0.dev/api/v2/mcp-servers&#x22; \
  -H &#x22;Authorization: Bearer $V0_API_KEY&#x22; \
  -H &#x22;Content-Type: application/json&#x22; \
  -d '{&#x22;name&#x22;:&#x22;My Project&#x22;,&#x22;url&#x22;:&#x22;https://example.com&#x22;,&#x22;enabled&#x22;:true,&#x22;auth&#x22;:&#x22;none&#x22;,&#x22;scope&#x22;:&#x22;user&#x22;}'`"
  />
</CustomCodeBlock>

## API Signature [#api-signature]

### Request [#request]

#### Request Body [#request-body]

<APISignature
  parameters="[
  {
    &#x22;name&#x22;: &#x22;name&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Display name for the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;url&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;URL endpoint of the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;description&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: false,
    &#x22;description&#x22;: &#x22;Optional description of the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;enabled&#x22;,
    &#x22;type&#x22;: &#x22;boolean&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Whether the server should be enabled.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;auth&#x22;,
    &#x22;type&#x22;: &#x22;'none' | 'bearer' | 'custom-headers' | 'oauth'&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Authentication configuration.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;scope&#x22;,
    &#x22;type&#x22;: &#x22;'user' | 'team'&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Scope of the MCP server configuration.&#x22;,
    &#x22;deprecated&#x22;: false
  }
]"
/>

### Response [#response]

<APISignature
  parameters="[
  {
    &#x22;name&#x22;: &#x22;id&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Unique identifier for the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;name&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Display name of the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;url&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;URL endpoint of the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;description&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Optional description of the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;createdAt&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;ISO timestamp of when the server was created.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;updatedAt&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;ISO timestamp of the last update.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;userId&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;ID of the user who created the server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;enabled&#x22;,
    &#x22;type&#x22;: &#x22;boolean&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Whether the MCP server is enabled.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;auth&#x22;,
    &#x22;type&#x22;: &#x22;'none' | 'bearer' | 'custom-headers' | 'oauth'&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Authentication configuration for the MCP server.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;scope&#x22;,
    &#x22;type&#x22;: &#x22;'user' | 'team'&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Scope of the MCP server configuration.&#x22;,
    &#x22;deprecated&#x22;: false
  }
]"
/>
